CH(4)

NAME
ch - SCSI media-changer (juke box) driver

SYNOPSIS
ch? at scsibus?

DESCRIPTION
The ch driver provides support for SCSI juke boxes. It allows many slots of media to be multiplexed between a number of drives.

A SCSI adapter and a logical scsibus must also be separately configured into the system before a SCSI changer can be configured.

As the SCSI adapter is probed during boot, the SCSI bus is scanned for devices. Any devices found which answer as "Changer" type devices will be “attached” to the ch driver. The first device found will be attached as ch0 and the next ch1, etc. It is also possible to specify what ch unit a device should come on-line as; refer to scsi(4) for details on kernel configuration.

FILES
/dev/ch[0-9]
    device entries

SEE ALSO
chio(1), cd(4), intro(4), scsi(4), sd(4), st(4)

HISTORY
The ch driver appeared in 386BSD 0.1.